# Makefile makefile_h2l_g77. for help2latex program h2l_auto
# Makefile makefile_h2l_sgi. for help2latex program h2l_auto

# OS 
 OS = g77
 THISOS = g77
#SGI OS = sgi
#DECUNIX OS = decunix

# Relative directory tree
BINDIR = ../bin/
HEREDIR = ../help2latex/

# Definitions needed by all:
BINH2LNEW= $(BINDIR)h2l_auto

# g77 g77 g77 g77 g77 g77 g77 g77 g77 g77 g77 g77 g77 g77 g77 g77 g77 g77
 DIALECT = -fno-backslash -fno-automatic -finit-local-zero
 WARN= -Wall -W
 DEBUG = -O
 FC=g77
 LK_GENERAL = -lc -lm 
all : $(BINH2LNEW)
# g77 g77 g77 g77 g77 g77 g77 g77 g77 g77 g77 g77 g77 g77 g77 g77 g77 g77


#sgi #sgi #sgi #sgi #sgi #sgi #sgi #sgi #sgi #sgi #sgi #sgi #sgi #sgi #sgi #sgi
#sgi DIALECT = -backslash
#sgi WARN= -listing
#sgi DEBUG = -g
#sgi FC=f77
#sgi OPTLINKER=-show -o
#sgi LK_GENERAL = -lX11_s
#sgi all : $(BINH2LNEW)
#sgi #sgi #sgi #sgi #sgi #sgi #sgi #sgi #sgi #sgi #sgi #sgi #sgi #sgi #sgi #sgi


# DEC unix fortran DEC unix fortran DEC unix fortran DEC unix fortran
#DECUNIX
#DECUNIX DIALECT= -assume backslash
#DECUNIX WARN= -warn general -show include -show xref -v -V
#DECUNIX DEBUG=
#DECUNIX FC=f77 -old_f77
#DECUNIX LK_GENERAL = -lc -lm 
#DECUNIX all : $(BINH2LNEW)
# DEC unix fortran DEC unix fortran DEC unix fortran DEC unix fortran

# Fortran flags for all operating systems
 FFLAGS =-c $(DIALECT) $(WARN) $(DEBUG)
# Fortran flags for all operating systems

h2l_auto.o : h2l_auto.f
	$(FC) $(FFLAGS) h2l_auto.f

$(BINH2LNEW) : h2l_auto.o
	$(FC) -o $(BINH2LNEW) h2l_auto.o $(LK_GENERAL)

clean:
	rm *.o *.l
